window.PHASES = {
    // Hauptüberschrift und HTML-Seitentitel
    "title": "Schaltplan nachbauen",

    // Beschriftung der Schaltfläche zum Aufruf dieser Phase
    "label": "Einführung anzeigen",

    // Inhalt der Phase: HTML, …
    "content": '<p class="msg_info"><span><span>Steure dieses Lernpaket durch Anklicken der Schaltflächen</span></span></p><p>Deine Aufgabe ist, den im nächsten Schritt gezeigten Schaltplan nachzubauen.</p><p>Klicke auf die mit „Hilfe: …“ beschrifteten Schaltflächen, wenn du nicht weiter weißt &dash; aber wirklich nur dann!</p>',

    // Wie viele Punkte (von 100) das Starten dieser Phase bringt oder kostet
    "score": 1,

    // Wie viele Sekunden seit dem Start der vorherigen Phase muss mindestens gewartet werden, bevor diese Phase gestartet werden kann
    "mintime": 0,

    // Soll beim Start dieser Phase keine neue Zeit für den Aufruf der letzten Phase gespeichert werden?
    "noreset": false,

    // Welche Fehlermeldung soll angezeigt werden, wenn versucht wird, diese Phase zu früh zu starten?
    "tooearly": "So schnell kannst du das nicht abgeschlossen haben!",

    // Führt das Starten dieser Phase dazu, dass die Aufgabe erledigt ist?
    "exit": false,

    // Darf diese Phase übersprungen werden
    "mayskip": false,

    // Unterphasen
    "phases": [
        {
            "title": "Schaltplan",
            "label": "Los geht's: Schaltplan anzeigen",
            "content": '<p>Baue folgenden Schaltplan (entsprechend der besprochenen Qualtitätskriterien nach:</p><figure><img src="schaltplan.svg" alt="Schaltplan" /><figcaption>Nachzubauender Schaltplan</figcaption></figure>',
            "score": 20,
            "phases": [{
                "title": "Qualitätskriterien",
                "label": "Hilfe: Was sind die Qualitätskriterien?",
                "score": -10,
                "mayskip": true,
                "content": '<p>Soweit möglich, soll deine Schaltung folgenden Kriterien entsprechen. (Das erste ist das wichtigste, das zweite das zweitwichtigste usw.):</p><ol><li>Keine Drähte verwendet (Drahtbrücken sind OK)</li><li>Nur ein Steckbrett benötigt</li><li>Plusanschluss der Batteriebox rechts oben, Minusanschluss darunter</li><li>Möglichst wenig Drahtbrücken</li></ol>'
            }, {
                "title": "Wie baue ich einen Schaltplan nach?",
                "label": "Hilfe: Wie geht das?",
                "score": -50,
                "mayskip": true,
                "content": '<p>Beginne (gedanklich) mit der Batteriebox. Der Schaltplan zeigt dir, welche weiteren Bauteile mit ihr verbunden sind. Stecke diese Bauteile in dieselbe Steckfeder wie den entsprechenden Batterieboxanschluss. Lies dann im Schaltplan ab, womit die anderen Anschlüsse dieser Bauteile verbunden sind und stecke diese in dieselbe Steckfeder wie die anderen Anschlüsse. Und so weiter.</p><p>Manchmal ist es dazu nötig, Drahtbrücken dazwischen einzubauen. Es kann auch sein, dass du umstecken musst, um Platz zu schaffen. Wichtig ist aber, dass sich dadurch nichts daran ändert, was womit verbunden ist.</p><p>Wenn du die Schaltung fertig aufgebaut hast, dann prüfe noch, ob die Schaltung auch anders aufgebaut werden kann, um den Qualitätskriterien besser zu entsprechen.</p>'
            }]
        },
        {
            "title": "Bedeutung der Meldung",
            "label": "Hilfe: Warum wird mir beim Anklicken der Schaltfläche nur eine Meldung angezeigt?",
            "content": "<p>Es ist natürlich überhaupt nicht sinnvoll, wenn sich jemand einfach nur durchklickt, ohne sich wirklich intensiv mit dem Auftrag zu beschäftigen. Um zdas u verhindern ist bei einigen Schritten eine Mindestzeit hinterlegt. Die Mindestzeit ist dabei so gewählt, dass es normalerweise nicht möglich sein sollte, die einzelnen Aufgaben schneller zu erledigen, sofern man mit der nötigen Sorgfalt an die Aufgaben herangeht.</p><p>Wenn dir also eine solche Meldung angezeigt wird ist dies ein Hinweis darauf, dass du zu oberflächlich arbeitest. Prüfe dann genau, ob du wirklich alles entsprechend der Aufgabe erledigt hast und ob soweit alles passt.</p><p>Natürlich ist in Einzelfällen nicht auszuschließen, dass die Mindestzeit falsch ist. Beispielsweise wenn du eine Abkürzung gefunden oder einen Teil der Schaltung von einer vorherigen Aufgabe noch aufgebaut hast.</p>",
            "score": -1,
            "mayskip": true
        },
        {
            "title": "Lösung",
            "label": "Erledigt: Lösung anzeigen",
            "content": '<p>Vergleiche deine Schaltung mit folgendem Aufbauplan und ändere deine Schaltung ggf. ab.</p><p>So sollte deine Lösung aussehen:</p><figure><img src="aufbauplan.svg" alt="Aufbauplan" /><figcaption>Richtige Lösung</figcaption></figure><p>Nur Folgendes kann bei einer auch anderen Lösung anders sein:</p><ol><li>Du kannst natürlich eine andersfarbige LED verwenden.</li><li>Welche deiner Widerstände du wo in der Schaltung verwenden sollst, ist nicht vorgegeben.</li><li>Bauteile können in anderen Löchern derselben Steckfeder stecken.</li></ol>',
            "tooearly": "Baue zuerst die gezeigte Schaltung selbstständig auf.",
            "score": 80,
            "mintime": 30
        },
        {
            "title": "Auftrag abgeschlossen",
            "label": "Erledigt: Ich habe meine Schaltung mit der Lösung verglichen",
            "exit": true,
            "mintime": 10,
            "mayskip": true,
            "score": 50,
            "tooearly": "In so kurzer Zeit ist das nicht möglich, oder?",
            "content": "<p>Schön dass du das Verstehen von Schaltplänen geübt hast.</p>",
            "phases": [
                {
                    "title": "Wie geht es weiter?",
                    "label": "Hilfe: Wie geht es weiter?",
                    "content": "<p>Du hast diesen Messauftrag erfolgreich abgeschlossen und kannst nun das Lernpaket verlassen.</p>"
                }
            ]
        }
    ]
};
